> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /bbc/feeds

> List the latest BBC News articles published in a section feed (top stories, world and its regions, UK nations and their local areas, business, politics, technology, science, health, sport and its disciplines). Returns newest-first items with title, link, excerpt, publish date and image.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/news-publishing.json post /api/bbc/feeds
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/bbc/feeds:
    post:
      tags:
        - /bbc
      summary: /bbc/feeds
      description: >-
        List the latest BBC News articles published in a section feed (top
        stories, world and its regions, UK nations and their local areas,
        business, politics, technology, science, health, sport and its
        disciplines). Returns newest-first items with title, link, excerpt,
        publish date and image.


        **Price:** 1 credit
      operationId: __api_bbc_feeds_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BbcFeedsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BbcFeedItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BbcFeedsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        section:
          $ref: '#/components/schemas/BbcFeedSection'
          default: top_stories
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    BbcFeedItem:
      properties:
        '@type':
          type: string
          default: BbcFeedItem
        guid:
          type: string
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        excerpt:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - guid
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BbcFeedSection:
      type: string
      enum:
        - top_stories
        - world
        - world_africa
        - world_asia
        - world_asia_china
        - world_asia_india
        - world_australia
        - world_europe
        - world_latin_america
        - world_middle_east
        - world_us_and_canada
        - world_radio_and_tv
        - uk
        - england
        - scotland
        - wales
        - northern_ireland
        - business
        - business_economy
        - business_companies
        - business_your_money
        - politics
        - technology
        - science_and_environment
        - health
        - education
        - entertainment_and_arts
        - in_pictures
        - newsbeat
        - disability
        - england_london
        - england_manchester
        - england_bristol
        - england_nottingham
        - england_oxford
        - england_leicester
        - england_tyne_and_wear
        - england_cumbria
        - england_lancashire
        - england_merseyside
        - england_derbyshire
        - england_lincolnshire
        - england_norfolk
        - england_suffolk
        - england_cambridgeshire
        - england_essex
        - england_beds_bucks_and_herts
        - england_berkshire
        - england_hampshire
        - england_dorset
        - england_wiltshire
        - england_somerset
        - england_gloucestershire
        - england_devon
        - england_cornwall
        - england_kent
        - england_surrey
        - england_sussex
        - england_coventry_and_warwickshire
        - england_hereford_and_worcester
        - england_shropshire
        - england_stoke_and_staffordshire
        - england_south_yorkshire
        - england_west_yorkshire
        - england_york_and_north_yorkshire
        - england_humberside
        - england_northamptonshire
        - wales_north_west_wales
        - wales_north_east_wales
        - wales_mid_wales
        - wales_south_west_wales
        - wales_south_east_wales
        - wales_wales_politics
        - scotland_edinburgh_east_and_fife
        - scotland_glasgow_and_west
        - scotland_highlands_and_islands
        - scotland_north_east_orkney_and_shetland
        - scotland_south_scotland
        - scotland_tayside_and_central
        - scotland_scotland_politics
        - scotland_scotland_business
        - sport
        - sport_football
        - sport_cricket
        - sport_formula1
        - sport_rugby_union
        - sport_rugby_league
        - sport_tennis
        - sport_golf
        - sport_boxing
        - sport_athletics
        - sport_cycling
        - sport_horse_racing
        - sport_snooker
        - sport_winter_sports
        - sport_disability_sport
        - sport_netball
        - sport_gymnastics
        - sport_darts
        - sport_swimming
        - sport_basketball
        - sport_judo
        - sport_olympics
        - sport_commonwealth_games
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````